Update contact attribute

Update an existing contact attribute identified by its category and name. For category-type attributes, you can update the enumeration values; for calculated or global attributes, update the computed value formula; and for normal multiple-choice attributes, update the multicategory options. None of the category or multicategory option values can exceed 200 characters.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

attributeCategoryenumRequired
Category of the attribute
Allowed values:
attributeNamestringRequired
Name of the existing attribute

Request

Values to update an attribute
enumerationlist of objectsOptional

List of the values and labels that the attribute can take. Use only if the attribute’s category is “category” None of the category options can exceed max 200 characters. For example, [{“value”:1, “label”:“male”}, {“value”:2, “label”:“female”}]

multiCategoryOptionslist of stringsOptional
Use this option to add multiple-choice attributes options only if the attribute's category is "normal". **This option is specifically designed for updating multiple-choice attributes. None of the multicategory options can exceed max 200 characters.**. For example: **["USA","INDIA"]**
valuestringOptional

Value of the attribute to update. Use only if the attribute’s category is ‘calculated’ or ‘global’

Errors

400
Bad Request Error
404
Not Found Error